Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.utils
Class GenReport

    java.lang.Object
      |
      +--com.macromedia.generator.utils.GenReport

public class GenReport
extends java.lang.Object

Field Summary
`(package private) GenReportFrame` | `_fld0280`
`(package private) GenReportFrame` | `_fld0281`
`static int` | `BEGIN`
`static int` | `CUR_TIME`
`static int` | `END`
`static int` | `GIF_AVG_SIZE`
`static int` | `GIF_AVG_TIME`
`static int` | `GIF_CNT`
`static int` | `GIF_MAX_SIZE`
`static int` | `GIF_MAX_TIME`
`static int` | `JPG_AVG_SIZE`
`static int` | `JPG_AVG_TIME`
`static int` | `JPG_CNT`
`static int` | `JPG_MAX_SIZE`
`static int` | `JPG_MAX_TIME`
`static int` | `KEY_COUNT`
`static int` | `MAX_REQUESTS`
`static int` | `PNG_AVG_SIZE`
`static int` | `PNG_AVG_TIME`
`static int` | `PNG_CNT`
`static int` | `PNG_MAX_SIZE`
`static int` | `PNG_MAX_TIME`
`static int` | `QTM_AVG_SIZE`
`static int` | `QTM_AVG_TIME`
`static int` | `QTM_CNT`
`static int` | `QTM_MAX_SIZE`
`static int` | `QTM_MAX_TIME`
`GenReportFrame` | `results30`
`GenReportFrame` | `results60`
`GenReportFrame` | `results90`
`GenReportFrame` | `resultsCurrent`
`static int` | `START_TIME`
`static int` | `STAT_TIME`
`static int` | `SWF_AVG_SIZE`
`static int` | `SWF_AVG_TIME`
`static int` | `SWF_CNT`
`static int` | `SWF_MAX_SIZE`
`static int` | `SWF_MAX_TIME`

Constructor Summary
`GenReport()`

Method Summary
`boolean` | `loadKeys()`
`boolean` | `loadStats(java.lang.String s)`
`protected GenReportFrame` | `readFrame(java.io.BufferedReader bufferedreader)`
`boolean` | `setDaysBack(int i)`
`void` | `setReportLog(boolean flag)`
`boolean` | `setTimeFrame(java.lang.String s)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_COUNT

    public static final int KEY_COUNT

### BEGIN

    public static final int BEGIN

### START_TIME

    public static final int START_TIME

### CUR_TIME

    public static final int CUR_TIME

### STAT_TIME

    public static final int STAT_TIME

### MAX_REQUESTS

    public static final int MAX_REQUESTS

### SWF_CNT

    public static final int SWF_CNT

### SWF_AVG_SIZE

    public static final int SWF_AVG_SIZE

### SWF_AVG_TIME

    public static final int SWF_AVG_TIME

### SWF_MAX_SIZE

    public static final int SWF_MAX_SIZE

### SWF_MAX_TIME

    public static final int SWF_MAX_TIME

### GIF_CNT

    public static final int GIF_CNT

### GIF_AVG_SIZE

    public static final int GIF_AVG_SIZE

### GIF_AVG_TIME

    public static final int GIF_AVG_TIME

### GIF_MAX_SIZE

    public static final int GIF_MAX_SIZE

### GIF_MAX_TIME

    public static final int GIF_MAX_TIME

### JPG_CNT

    public static final int JPG_CNT

### JPG_AVG_SIZE

    public static final int JPG_AVG_SIZE

### JPG_AVG_TIME

    public static final int JPG_AVG_TIME

### JPG_MAX_SIZE

    public static final int JPG_MAX_SIZE

### JPG_MAX_TIME

    public static final int JPG_MAX_TIME

### PNG_CNT

    public static final int PNG_CNT

### PNG_AVG_SIZE

    public static final int PNG_AVG_SIZE

### PNG_AVG_TIME

    public static final int PNG_AVG_TIME

### PNG_MAX_SIZE

    public static final int PNG_MAX_SIZE

### PNG_MAX_TIME

    public static final int PNG_MAX_TIME

### QTM_CNT

    public static final int QTM_CNT

### QTM_AVG_SIZE

    public static final int QTM_AVG_SIZE

### QTM_AVG_TIME

    public static final int QTM_AVG_TIME

### QTM_MAX_SIZE

    public static final int QTM_MAX_SIZE

### QTM_MAX_TIME

    public static final int QTM_MAX_TIME

### END

    public static final int END

### _fld0280

    GenReportFrame _fld0280

### _fld0281

    GenReportFrame _fld0281

### results30

    public GenReportFrame results30

### results60

    public GenReportFrame results60

### results90

    public GenReportFrame results90

### resultsCurrent

    public GenReportFrame resultsCurrent

Constructor Detail

### GenReport

    public GenReport()

Method Detail

### loadKeys

    public boolean loadKeys()

### loadStats

    public boolean loadStats(java.lang.String s)

### readFrame

    protected GenReportFrame readFrame(java.io.BufferedReader bufferedreader)

### setDaysBack

    public boolean setDaysBack(int i)

### setReportLog

    public void setReportLog(boolean flag)

### setTimeFrame

    public boolean setTimeFrame(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD